JettyReceiverServlet (Mule ESB 2.2.1 API)
Keywords: org.mule.transport.servlet.jetty.JettyReceiverServlet class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.transport.servlet.jetty
Class JettyReceiverServlet

    java.lang.Object
      javax.servlet.GenericServlet
          javax.servlet.http.HttpServlet
              org.mule.transport.servlet.AbstractReceiverServlet
                  org.mule.transport.servlet.MuleReceiverServlet
                      org.mule.transport.servlet.jetty.JettyReceiverServlet

All Implemented Interfaces:
  Serializable, Servlet, ServletConfig

Direct Known Subclasses:
  JettyContinuationsReceiverServlet

    public class JettyReceiverServlet

extends MuleReceiverServlet

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.mule.transport.servlet.MuleReceiverServlet
`connector`

Fields inherited from class org.mule.transport.servlet.AbstractReceiverServlet
`DEFAULT_CONTENT_TYPE_PROPERTY, DEFAULT_GET_TIMEOUT, DEFAULT_PAYLOAD_PARAMETER_NAME, defaultContentType, feedback, FEEDBACK_PROPERTY, logger, PAYLOAD_PARAMETER_NAME, payloadParameterName, REQUEST_TIMEOUT_PROPERTY, SERVLET_CONNECTOR_NAME_PROPERTY, timeout`

Constructor Summary
`JettyReceiverServlet()`

Method Summary
`protected void` | `doInit(ServletConfig servletConfig)`
`protected MessageReceiver` | `getReceiverForURI(HttpServletRequest httpServletRequest)`
`protected String` | `getReceiverKey(MessageReceiver receiver)`

Methods inherited from class org.mule.transport.servlet.MuleReceiverServlet
`doConnect, doDelete, doGet, doHead, doMethod, doOptions, doPost, doPut, doTrace, getReceiverName, getReceivers, getRequestUrl, routeMessage, setupRequestMessage, setupRequestMessage`

Methods inherited from class org.mule.transport.servlet.AbstractReceiverServlet
`doInit, handleException, init, init, setHttpHeadersOnServletResponse, writeResponse`

Methods inherited from class javax.servlet.http.HttpServlet
`getLastModified, service, service`

Methods inherited from class javax.servlet.GenericServlet
`destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, log, log`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JettyReceiverServlet

    public JettyReceiverServlet()

Method Detail

### doInit

    protected void doInit(ServletConfig servletConfig)
                   throws ServletException

  Overrides:
    `doInit` in class `MuleReceiverServlet`
  Throws:
    `ServletException`

### getReceiverForURI

    protected MessageReceiver getReceiverForURI(HttpServletRequest httpServletRequest)
                                         throws EndpointException

  Overrides:
    `getReceiverForURI` in class `MuleReceiverServlet`
  Throws:
    `EndpointException`

### getReceiverKey

    protected String getReceiverKey(MessageReceiver receiver)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.